import { FormSchema } from '/@/components/Table';
import { useGlobSetting } from '/@/hooks/setting';

const globSetting = useGlobSetting();
export const accountFormSchema: FormSchema[] = [
  {
    field: 'dept',
    label: '',
    component: 'TreeSelect',
    componentProps: {
      fieldNames: {
        label: 'deptName',
        key: 'id',
        value: 'deptCode',
      },
      placeholder: globSetting.useOrg == 'true' ? '请选择据点' : '请选择工厂',
      getPopupContainer: () => document.body,
    },
    rules: [
      {
        required: true,
        // @ts-ignore
        validator: async (rule, value) => {
          if (!value) {
            /* eslint-disable-next-line */
            return Promise.reject('请选择据点');
          }
          return Promise.resolve();
        },
        trigger: 'change',
      },
    ],
  },
];
